## GladePlaceholder

GladePlaceholder — A GtkWidget to fill empty places.

## Functions

GtkWidget * | glade_placeholder_new ()
GladeWidget * | glade_placeholder_get_parent ()

## Signals

void | set-scroll-adjustments | Action

## Types and Values

struct | GladePlaceholder

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GladePlaceholder

## Implemented Interfaces

GladePlaceholder implements AtkImplementorIface and GtkBuildable.

## Description

Generally in Glade, container widgets are implemented with GladePlaceholder children to allow users to 'click' and add thier widgets to a container. It is the responsability of the plugin writer to create placeholders for container widgets where appropriate; usually in GladePostCreateFunc when the GladeCreateReason is `GLADE_CREATE_USER`.

## Functions

### glade_placeholder_new ()

    GtkWidget *
    glade_placeholder_new (void);

#### Returns

a new GladePlaceholder cast as a GtkWidget

### glade_placeholder_get_parent ()

    GladeWidget *
    glade_placeholder_get_parent (GladePlaceholder *placeholder);

## Types and Values

### struct GladePlaceholder

    struct GladePlaceholder;

## Signal Details

### The `“set-scroll-adjustments”` signal

    void
    user_function (GladePlaceholder *gladeplaceholder,
                   GtkAdjustment    *arg1,
                   GtkAdjustment    *arg2,
                   gpointer          user_data)

Flags: Action